TechDraw Nuova vista

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw NewView and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg TechDraw New Pick.png Nuova pagina da modello Pagina precedente:
Pagina successiva: Nuovo gruppo di proiezioni Techdraw-projgroup.png Arrow-right.svg

TechDraw NewView.png Nuova Vista

Posizione nel menu
TechDraw → Vista
Ambiente
TechDraw
Avvio veloce
na
Introdotto nella versione
-
Vedere anche
Gruppo di proiezioni, Sezione


Descrizione

Lo strumento Vista aggiunge in una pagina di disegno una rappresentazione di uno o più oggetti. Questo è l'elemento base del modulo TechDraw. La maggior parte delle altre viste sono derivate in qualche modo da Nuova vista.

TechDraw View example.png

Vista di un solido con linee nascoste


Uso

  1. Selezionare uno o più oggetti (Body, App::Part, Part::Feature, Draft object, ... Vedere Note) nella finestra 3D o nella vista a albero.
  2. Se nel documento ci sono più pagine di disegno, è anche necessario selezionare la pagina desiderata nella struttura.
  3. Premere il pulsante Techdraw-view.svg Vista
  • Vista disegna qualsiasi cosa che abbia una proprietà Shape. È anche possibile selezionare oggetti Draft o Corpi di PartDesign. Vista estrae anche qualsiasi forma dagli oggetti all'interno di un contenitore App::Part o di un Grouppo.

Proprietà

Dati

  • DATAX: la posizione orizzontale della vista nella pagina. (1)
  • DATAY: la posizione verticale della vista nella pagina. (1)
  • DATALockPosition: quando è vero, impedisce che le viste vengano trascinate nella Gui. La vista può ancora essere spostata cambiando le proprietà X, Y. (1)
  • DATARotation: rotazione in gradi in senso antiorario della vista sulla pagina. (1)
  • DATAScaleType: "Document": usa l'impostazione della scala della Pagina. "Custom": usa una scala unica per questa vista. "Automatic": adatta la vista alla pagina. (1)
  • DATAScale: la vista viene resa sulla pagina in Scala: 1 è equivalente alla fonte. (1)
  • DATACaption: breve didascalia di testo opzionale.
  • DATASource: collegamenti agli oggetti disegnabili da rappresentare.
  • DATADirection: un vettore che rappresenta la direzione della vista. Direzioni comuni sono Frontale: (0,-1,0), Dall'alto: (0,0,1), Destra: (1,0,0), Assonometria: (1,1,1). Vedere le note sottostanti. (1)
  • DATAPerspective: vero per la proiezione prospettica, falso per la proiezione ortogonale.
  • DATAFocus: distanza dalla telecamera al piano di proiezione per le proiezioni prospettiche. Deve essere regolata per adattarsi all'oggetto. Se è troppo lontana si perde la prospettiva, se è troppo vicina l'oggetto viene distorto.
  • DATACoarseView: se è vero, TechDraw usa un'approssimazione poligonale per calcolare la geometria del disegno. Se è false, TechDraw usa un algoritmo di precisione. Vedere le note.
  • DATASmooth Visible Lines: mostra o nasconde le Smooth lines.
  • DATASeam Visible Lines: mostra o nasconde le linee di congiunzione.
  • DATAIso Visible Lines: mostra o nasconde le linee Isometriche(u,v).
  • DATAHard Hidden Lines: mostra o nasconde le linee degli spigoli nascosti.
  • DATASmooth Hidden Lines: mostra o nasconde le linee Smooth lines nascoste.
  • DATASeam Hidden Lines: mostra o nasconde le linee di congiunzione nascoste.
  • DATAIso Hidden Lines: mostra o nasconde le linee Isometriche(u,v).
  • DATAIso Count: numero di linee Isometriche(u,v) da disegnare su ogni faccia.

(1) queste proprietà sono comuni a tutti i tipi di Viste.

Vista

  • VIEWKeep Label: se è vero mostra sempre Visualizza etichetta.
  • VIEWLineWidth: lo spessore delle linee visibili. Vedere Gruppi di linee.
  • VIEWHiddenWidth: lo spessore delle linee nascoste, se abilitato.
  • VIEWIsoWidth: lo spessore delle linee di superficie isometriche (u, v) e delle linee di quota.
  • VIEWExtraWidth: non ancora implementato.
  • VIEWShowCenters: mostra o nasconde i segni di centro cerchio o arco.
  • VIEWCenterScale: regolazione della dimensione del contrassegno di centro dell'arco, se abilitata.
  • VIEWHorizCenterLine: mostra una linea centrale orizzontale attraverso la vista.
  • VIEWVertCenterLine: mostra una linea centrale verticale attraverso la vista.
  • VIEWShowSectionLine: mostra o nasconde la linea della sezione se applicabile.

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

Lo strumento Vista può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)
Arrow-left.svg TechDraw New Pick.png Nuova pagina da modello Pagina precedente:
Pagina successiva: Nuovo gruppo di proiezioni Techdraw-projgroup.png Arrow-right.svg